{% if current_person.signed_in? %}
<footer role="contentinfo" class="footer--main section-margin">
  <div class="footer-bottom">
    <div class="grid">
      <div class="grid__inner">
        <div
          id="contact-us"
          class="
            grid__item grid__item--tablet-up-4
            footer-bottom__links
            text-center--mobile
          "
          style="padding-top: 10px"
        >
          <small
            >Need help? Email
            <a
              class="side-navbar-item"
              href="mailto:detraining@elliman.com"
              style="font-size: 100% !important"
              >detraining@elliman.com</a
            ></small
          >
          <!-- <a href="/">Courses</a>
          <a href="#">Workshops</a>
          <a href="/resources">Quick Links & Resources</a> -->
        </div>
        <div class="grid__item grid__item--tablet-up-2 text-center--mobile">
          <div
            class="responsive-svg footer-bottom__academy-logo--light"
            style="padding-top: 10px"
          >
            <small
              class="ui-inline-svg text-white"
              aria-labelledby="inline-academy-logo--light-title"
            >
              &copy Douglas Elliman all rights reserved.
            </small>
          </div>
        </div>
      </div>
    </div>
  </div>
</footer>

{% else %}
<footer class="uk-padding-large-vertical uk-border-top">
  <div class="uk-container uk-container-center">
    <div class="uk-grid uk-padding-large-left uk-padding-large-right">
      <div class="uk-width-small-1-1 uk-width-medium-7-10 uk-margin-bottom">
        {% if website_footer.show_navigation_links? %}
        <nav>
          <ul class="uk-margin-bottom-remove uk-text-center-small">
            {% for website_navigation in footer_navigations %}
            <li>
              <a
                href="{{ website_navigation.path }}"
                {%
                if
                website_navigation.external?
                %}
                target="_blank"
                {%
                endif
                %}
              >
                {{ website_navigation.name }}
              </a>
            </li>
            {% endfor %}
          </ul>
        </nav>
        {% endif %} {% if website_footer.show_customer_service_email? and
        website_footer.school_customer_service_email %}
        <p class="uk-text-center-small">
          {% t .need_help %} {% t .email %}
          <a href="mailto:{{ website_footer.school_customer_service_email }}">
            {{ website_footer.school_customer_service_email }}
          </a>
        </p>
        {% endif %}
      </div>
      <div
        class="
          {%
          if
          website_footer.show_customer_service_email?
          or
          website_footer.show_navigation_links?
          %}uk-width-medium-3-10{%
          else
          %}uk-width-medium-1-1{%
          endif
          %}
        "
      >
        {% if website_footer.show_social_media_links? %}
        <nav class="social-links">
          <ul
            class="
              uk-margin-bottom-remove
              {%
              if
              website_footer.show_customer_service_email?
              or
              website_footer.show_navigation_links?
              %}uk-text-right
              {%
              else
              %}uk-text-center
              {%
              endif
              %}
              uk-text-center-small
            "
          >
            {% for social_media_link in website_footer.social_media_links %}
            <li>
              <a
                href="{{ social_media_link.link }}"
                class="{{ social_media_link.name }}"
                target="_blank"
                title="{{ social_media_link.name }}"
              >
                <i class="uk-icon-{{ social_media_link.name }}"></i>
              </a>
            </li>
            {% endfor %}
          </ul>
        </nav>
        {% endif %}
      </div>
    </div>
  </div>
</footer>
{% endif %}

<script
  src="https://code.jquery.com/jquery-3.5.1.min.js"
  integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
  crossorigin="anonymous"
></script>
<script
  type="text/javascript"
  src="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"
></script>

<script>
  function hideCarouselIfEmpty() {
    $(".slick-track").each(function () {
      anyCourse = false;
      $(this)
        .children()
        .each(function () {
          if ($(this).css("display") == "block") {
            anyCourse = true;
          }
        });
      if (!anyCourse) {
        $(this)
          .parents()
          .each(function () {
            var parent = $(this);
            if (parent.hasClass("single-carousel")) {
              parent.css("display", "none");
              parent.find(".show-more").css("display", "none");
            }
            if (parent.hasClass("test-carousel")) {
              parent.find(".slick-dots").css("display", "none");
              // parent.append("<p class='sainte-colombe-medium' style='padding-left: 20px;'>No courses in the category yet.");
            }
          });
      }
    });
  }

  window.onload = function () {
    var openButton = document.getElementsByClassName(
      "marketing-nav__hamburger"
    )[0];
    var closeButton = document.getElementsByClassName(
      "drawer__close-button"
    )[0];
    var mobileNavOverlay = document.getElementsByClassName(
      "mobile-nav__overlay"
    )[0];

    if (typeof openButton != "undefined" && openButton != null) {
      openButton.addEventListener("click", function () {
        document.body.classList.add("js-drawer-open");
      });

      closeButton.addEventListener("click", function () {
        document.body.classList.remove("js-drawer-open");
      });

      mobileNavOverlay.addEventListener("click", function () {
        document.body.classList.remove("js-drawer-open");
      });
    }

    hideCarouselIfEmpty()
    addSideMenuBar()
  };
</script>

<style>
  .arrow {
    font-size: 10px;
  }

  .breadcrumbs {
    font-size: 16px;
  }

  .breadcrumbs a {
    color: #0061df;
  }

  .breadcrumbs p {
    margin: 40px 0;
  }
</style>
<script
  type="text/javascript"
  src="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"
></script>

<script>
  function addSideMenuBar() {
    var path = window.location.pathname;
    var sideBar = '<div class="sidenav"> <a href="/" class="side-navbar-item euclid-circular-regular">Home</a> <a href="/my_courses" class="side-navbar-item euclid-circular-regular">My Courses</a> <a href="/training_events" class="side-navbar-item euclid-circular-regular">Training Calendar</a> <a href="/catalog?filter%5Bcategories_name%5D=Mandatory+Courses" class="side-navbar-item euclid-circular-regular">Mandatory Courses</a> <a href="/catalog" class="side-navbar-item euclid-circular-regular">Categories</a> <a href="/catalog" class="side-navbar-item euclid-circular-regular">All Courses</a> <a href="/catalog?filter%5Bcategories_name%5D=StudioPro" class="side-navbar-item euclid-circular-regular">StudioPro</a> <a href="/catalog?filter%5Bcategories_name%5D=On+Boarding" class="side-navbar-item euclid-circular-regular">On Boarding</a> <a href="#" class="side-navbar-item euclid-circular-regular">Quick Links<br> & Resources</a> <a href="#" class="side-navbar-item euclid-circular-regular">Contact Us</a> </div>'
    if (path === "/my_courses" && 
    document.body.innerHTML.search("Looks like you haven't signed up for any courses yet") > -1) {
      $(".main-content").addClass("section-margin")
      $(".main-content").after(sideBar)
      $("#search_results_count").remove()
    }
    if (path.includes("search")) {
      $(".main-content").addClass("section-margin")
      $(".search").addClass("section-margin")
      $("header").remove()
      $(".main-content").after(sideBar)
    }
  }
</script>
